﻿using System.Windows.Forms;
using HeuristicLab.Analysis;
using HeuristicLab.MainForm;

namespace HeuristicLab.DataPreprocessing.Views {

  [View("Histogram View")]
  [Content(typeof(HistogramContent), true)]
  public partial class HistogramView : PreprocessingChartView {

    private const string HISTOGRAM_CHART_TITLE = "Histogram";

    public HistogramView() {
      InitializeComponent();
      chartType = DataRowVisualProperties.DataRowChartType.Histogram;
      chartTitle = HISTOGRAM_CHART_TITLE;
    }

    public new HistogramContent Content {
      get { return (HistogramContent)base.Content; }
      set { base.Content = value; }
    }

  }
}
